apiVersion: v1
kind: Service
metadata:
  name: "thrift-server"
  namespace: "{{ meta.namespace }}"
  labels:
    app: "thrift-server"
spec:
  selector:                  
    name: "thrift-server"
  ports:
  - name: 10000-tcp
    port: 10000
    protocol: TCP
    targetPort: 10000
  - name: 10001-tcp
    port: 10001
    protocol: TCP
    targetPort: 10001
  - name: 4040-tcp
    port: 4040
    protocol: TCP
    targetPort: 4040
  - name: 42000-tcp
    port: 42000
    protocol: TCP
    targetPort: 42000
  - name: 42100-tcp
    port: 42100
    protocol: TCP
    targetPort: 42100